[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: some FC3 packages still hanging around after upgrade to FC4



Charles Curley wrote:

On Fri, Jun 17, 2005 at 10:05:00PM -0400, Zing wrote:


After an upgrade to FC4 from FC3, there were some packages from FC3 still
installed like:

netpbm-10.27-4.FC3
xloadimage-4.1-34.FC3
vixie-cron-4.1-33_FC3
netpbm-progs-10.27-4.FC3
ImageMagick-6.2.2.0-2.fc3



Add to the list:

glibc-2.3.5-0.fc3.1



Did you upgrade via installation discs or via yum, apt, up2date?
If you choose to upgrade these packages using the --oldpackage command for rpm, be careful with packages with i386 and i686 rpms.
Someone mentioned the missing tags on several packages think that they are older than the untagged versions on the installation CDs.


Filing the bug report and getting the problem corrected for later versions of FC is probably your only hope that it does not happen in the future.

download the latest rpm for FC4 or pull off of disk. Be sure to note arch for multiarch versions. As an example:
rpm -Uvh netpbm-10.28-1*.rpm --oldpackage
..
Even though the versions are newer, rpm does not realize this because of the FC3 tagging vs. the untagged versions.


Be extremely carefully with glibc. I have glibc-2.3.5-10 which is i686. I recall snafus when the i386 was installed instead. This is a critical package never upgraded to FC4 during your upgrade.

Jim


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]